Bug 21154 - Remove unused subs from C4::Serials
Summary: Remove unused subs from C4::Serials
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-03 06:58 UTC by Josef Moravec
Modified: 2018-09-21 10:31 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21154: Remove unused subs from C4::Serials (5.18 KB, patch)
2018-08-03 07:00 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21154: Remove unused subs from C4::Serials (5.25 KB, patch)
2018-08-03 17:48 UTC, Pierre-Luc Lapointe
Details | Diff | Splinter Review
Bug 21154: Remove unused subs from C4::Serials (5.33 KB, patch)
2018-08-06 17:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2018-08-03 06:58:06 UTC

    
Comment 1 Josef Moravec 2018-08-03 07:00:39 UTC
Created attachment 77464 [details] [review]
Bug 21154: Remove unused subs from C4::Serials

Test plan:
Run these commands, grep should not return any occurences, prove should
return green:

git grep GetSerialStatusFromSerialId
git grep GetDistributedTo
git grep SetDistributedTo
git grep SetDistributedto
git grep in_array
git grep is_barcode_in_use

kshell
prove t/db_dependent/Serials.t
Comment 2 Pierre-Luc Lapointe 2018-08-03 17:48:31 UTC
Created attachment 77480 [details] [review]
Bug 21154: Remove unused subs from C4::Serials

Test plan:
Run these commands, grep should not return any occurences, prove should
return green:

git grep GetSerialStatusFromSerialId
git grep GetDistributedTo
git grep SetDistributedTo
git grep SetDistributedto
git grep in_array
git grep is_barcode_in_use

kshell
prove t/db_dependent/Serials.t

Signed-off-by: Pierre-Luc Lapointe <pierreluc.lapointe@inLibro.com>
Comment 3 Jonathan Druart 2018-08-06 17:16:06 UTC
Created attachment 77493 [details] [review]
Bug 21154: Remove unused subs from C4::Serials

Test plan:
Run these commands, grep should not return any occurences, prove should
return green:

git grep GetSerialStatusFromSerialId
git grep GetDistributedTo
git grep SetDistributedTo
git grep SetDistributedto
git grep in_array
git grep is_barcode_in_use

kshell
prove t/db_dependent/Serials.t

Signed-off-by: Pierre-Luc Lapointe <pierreluc.lapointe@inLibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-08-09 12:39:50 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-08-09 15:58:32 UTC
I'm opting to add a deprecation warning into these subs instead of removing them in the 18.05.x series.

The hope is that it will serve as a friendly warning to those tracking 18.05.x who may be using these routines in local customisations stating it's removal in 18.11.x.
Comment 6 Martin Renvoize 2018-08-09 16:08:18 UTC
Deprecation Warning pushed to 18.05.x for 18.05.03
Comment 7 Fridolin SOMERS 2018-09-21 10:31:39 UTC
Subs in use in 17.11.x